Package com.independentsoft.office.charts

# Enum Class DataLabelPosition

java.lang.Object
java.lang.Enum<DataLabelPosition>
com.independentsoft.office.charts.DataLabelPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<DataLabelPosition>`, `Constable`

public enum DataLabelPosition extends Enum<DataLabelPosition>
The Enum DataLabelPosition.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEST_FIT`
  `BOTTOM`
  `CENTER`
  `INSIDE_BASE`
  `INSIDE_END`
  `LEFT`
  `NONE`
  `OUTSIDE_END`
  `RIGHT`
  `TOP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataLabelPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataLabelPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOTTOM

    public static final DataLabelPosition BOTTOM

  - ### BEST_FIT

    public static final DataLabelPosition BEST_FIT

  - ### CENTER

    public static final DataLabelPosition CENTER

  - ### INSIDE_BASE

    public static final DataLabelPosition INSIDE_BASE

  - ### INSIDE_END

    public static final DataLabelPosition INSIDE_END

  - ### LEFT

    public static final DataLabelPosition LEFT

  - ### OUTSIDE_END

    public static final DataLabelPosition OUTSIDE_END

  - ### RIGHT

    public static final DataLabelPosition RIGHT

  - ### TOP

    public static final DataLabelPosition TOP

  - ### NONE

    public static final DataLabelPosition NONE

- ## Method Details

  - ### values

    public static DataLabelPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataLabelPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null